<?php

print("<?xml version='1.0' encoding='utf-8'?>");

    /**
     * This is an abridged and modified version the OP3FT's:
     * Sample Frogans Site for PHP FsdlRequest Parser
     *
	 * @version		0.1
	 *
	 * @copyright	1999-2016 OP3FT
	 *
	 * This PHP file generates an FSDL document. It is part of a sample
	 * Frogans site provided by the OP3FT to help you create your
	 * own dynamic Frogans sites based on the PHP FsdlRequest parser.
	 * 
	 * You are free to use, copy, distribute, modify, adapt, or share this
	 * sample Frogans site.
	 * 
	 * @file
	 */

	// 1. Include FSDLRequest class

	include_once('FsdlRequestParser.php');	// The file should be located outside the server's document root

/*
	// 2. Check server request method - I'm not using this here because the first time the
                                        slide is opened, there is no server request 
		
	$serverRequestMethod = $_SERVER['REQUEST_METHOD'];

	if ($serverRequestMethod != 'POST')	// This should never occur when navigating this sample Frogans site
	{
		exit(1);
	}
*/		
	
	// 3. Get content of HTTP body received by server
	
	$serverRequestBody = file_get_contents("php://input");


	// 4. Create and initialize $fsdlRequest

	$fsdlRequest = new FsdlRequest();

	$fsdlRequestDocumentVersion = FSDLRequestDocumentVersion::VERSION_3_0;
	$receivedDocument = $serverRequestBody;
	$errorMessage = "";
	
	$result = $fsdlRequest->initialize($fsdlRequestDocumentVersion, $receivedDocument, $errorMessage);


	// 5. Get all available data from $fsdlRequest

    $fileFields = $fsdlRequest->getFileFields();					
					//	Value is applicable only if $fsdlRequestWanted is FsdlRequestWanted::FSDL_DOCUMENT
					//									and $fsdlRequestNavigation is not FsdlRequestNavigation::OPEN
					//						  or if $fsdlRequestWanted is FsdlRequestWanted::AUXILIARY_FILE
					//	If not applicable, value is an empty array.
					//	If applicable, value is an array of up to FsdlRequest::FILE_FIELDS_COUNT_MAX key-value pairs.
					//	The array can be empty.
                    

   
	
	if ($result == FALSE)	// this will happen the first time the slide is opened. Here we want the color to be black.
	{
		$fcolor='000000';
	}else{

        $fcolor=$fileFields['color'];
    }
?>

<frogans-fsdl version='3.0'>
<!-- We're going to color the frog: <? print($fcolor); ?> -->


<resdraw resid='bk_r' figure='rect' stroke='off' size='640,480' color='#ffff00' />
<!-- <layer resref='bk_r' layerid='bk_l' leapout='all' combine='add' align='left-top' pos='0,0' opacity='1' /> 
-->

<resdraw resid='cir_r' figure='ellipse' stroke='off' color='#ffffff' size='363,363' />
 <layer resref='cir_r' layerid='cir_l' align='right-middle' pos='625,260' combine='add' leapout='all'  />

<!-- Froggy is drawn in FSDL using <respath> -->
<respath resid='frog_r' size='357,357' stroke='off' spread='off' crop='custom' corners='144,66,501,423' color='<?php  print('#'.$fcolor);?>'>
Ju:285,419;Cu:498,284,381,441,477,380;Cu:364,71,520,189,459,93;Cu:151,206,268,50,172,110;
Cu:285,419,129,302,190,397;Li:285,419;Ju:354,92;Cu:471,277,437,111,490,194;Cu:286,394,452,360,369,413;
Cu:169,209,203,375,150,292;Cu:354,92,188,126,271,74;Li:354,92;Ju:444,278;Cu:442,262,443,272,443,267;
Cu:415,168,440,242,431,184;Cu:362,131,408,144,382,131;Cu:343,136,355,131,348,133;Cu:316,145,333,142,325,145;
Cu:305,143,312,145,308,144;Cu:297,132,302,142,299,137;Cu:289,119,295,128,292,123;Cu:280,116,287,117,284,116;
Cu:241,119,271,109,255,109;Cu:221,163,228,127,215,143;Cu:219,168,220,164,220,166;Cu:219,175,219,170,219,172;
Cu:218,182,219,177,220,180;Cu:207,190,217,183,212,187;Cu:188,204,200,195,193,200;Cu:178,226,181,211,177,220;
Cu:184,232,179,229,181,231;Cu:238,259,192,233,212,238;Cu:291,279,254,273,276,277;Cu:300,281,294,280,297,280;
Cu:339,285,312,284,325,285;Cu:382,279,355,285,371,283;Cu:378,283,381,280,380,282;Cu:345,324,369,291,356,303;
Cu:286,373,327,357,299,373;Cu:285,373,286,373,285,373;Cu:282,374,284,373,283,373;Cu:282,377,282,375,282,376;
Cu:301,387,286,384,292,387;Cu:301,387,301,387,301,387;Cu:330,381,310,387,320,384;Cu:352,377,339,379,346,377;
Cu:353,377,352,377,353,377;Cu:362,382,357,377,360,379;Cu:364,405,366,388,365,400;Cu:365,407,364,406,364,407;
Cu:367,408,366,408,366,408;Cu:367,408,367,408,367,408;Cu:443,372,395,407,419,395;Cu:444,371,443,372,444,371;
Cu:444,278,451,327,447,301;Ju:244,124;Cu:269,118,253,118,262,116;Cu:237,137,259,120,247,127;
Cu:236,133,237,135,237,134;Cu:233,133,235,133,234,133;Cu:244,124,237,129,240,126;Ju:438,368;
Cu:371,401,417,388,395,399;Cu:366,377,372,394,371,384;Cu:354,370,363,373,359,371;Cu:352,370,353,370,353,370;
Cu:329,375,345,370,337,372;Cu:301,380,319,377,309,380;Cu:301,380,301,380,301,380;Cu:291,377,297,380,293,379;
Cu:351,325,309,374,334,355;Cu:382,286,361,306,373,295;Cu:395,271,389,280,393,276;Cu:394,267,395,269,395,268;
Cu:390,268,392,267,391,267;Cu:339,278,384,273,364,278;Cu:301,274,326,278,313,277;Cu:292,272,299,273,295,273;
Cu:242,254,277,270,257,266;Cu:186,225,214,231,193,226;Cu:184,223,185,224,184,224;Cu:192,208,183,220,186,213;
Cu:210,194,196,204,204,199;Cu:223,184,218,189,222,187;Cu:225,173,226,181,225,177;Cu:225,168,225,171,225,169;
Cu:226,165,225,167,226,166;Cu:227,162,226,164,226,163;Cu:277,121,236,138,262,123;Cu:281,121,277,121,279,121;
Cu:285,123,283,122,284,122;Cu:292,134,287,125,289,130;Cu:303,148,295,140,298,146;Cu:316,150,307,149,311,150;
Cu:346,140,326,150,336,147;Cu:362,136,350,138,356,136;Cu:410,169,380,136,403,148;Cu:410,171,410,170,410,170;
Cu:436,261,423,183,433,231;Cu:438,278,437,267,437,272;Cu:438,368,441,300,445,325;Ju:262,269;
Cu:285,376,276,290,249,369;Cu:348,325,300,377,329,359;Cu:392,271,366,291,389,282;Cu:301,278,381,280,339,287;
Cu:262,269,292,276,277,275;Ju:362,255;Cu:397,240,377,255,391,248;Cu:400,169,407,226,408,191;
Cu:379,148,395,157,388,150;Cu:349,159,368,146,358,150;Cu:330,229,335,175,327,205;Cu:362,255,332,245,344,255;
Cu:362,255,362,255,362,255;Li:362,255;Ju:373,153;Cu:378,154,374,153,376,154;Cu:394,171,386,156,391,164;
Cu:392,236,403,193,400,225;Cu:362,249,388,243,374,249;Cu:336,228,354,249,339,246;Cu:354,163,333,206,341,178;
Cu:373,153,360,157,366,153;Li:373,153;Ju:371,196;Cu:362,237,355,192,338,232;Cu:371,196,386,242,391,200
</respath>

<layer resref='frog_r' layerid='frog_l' align='right-middle' pos='620,260' combine='add' leapout='all' 
  />


<setfont fontid='wht_bold'>
    <font scripts='default' pfont='112-14-sans-b' height='12' color='#ffffff' />
</setfont>

<setfont fontid='wht_reg'>
    <font scripts='default' pfont='112-2-sans-r' height='12' color='#ffffff' />
</setfont>



<!-- the rectangles -->
<resdraw resid='title_rect_r' figure='roundrect' size='351,60' round='30,30' stroke='off' color='#000000' /> 
<resdraw resid='wht_rect_r' figure='roundrect' size='223,377' round='40,40' stroke='off' color='#ffffff' /> 
<resdraw resid='outline_rect_r' figure='roundrect' size='227,381' round='41,41' stroke='on' thick='4' color='#000000' /> 
<resdraw resid='red_rect_r' figure='roundrect' size='157,60' round='30,30' stroke='off' color='#ff0000' /> 
<resdraw resid='grn_rect_r' figure='roundrect' size='157,60' round='30,30' stroke='off' color='#00ba00' /> 
<resdraw resid='blu_rect_r' figure='roundrect' size='157,60' round='30,30' stroke='off' color='#0000ff' /> 
<resdraw resid='bla_rect_r' figure='roundrect' size='157,60' round='30,30' stroke='off' color='#000000' /> 

<layer resref='wht_rect_r' layerid='wht_rect_l' align='left-top' pos='13,79' combine='add' leapout='all' />
<layer resref='outline_rect_r' layerid='outline_rect_l' align='left-top' pos='11,77' combine='add' leapout='all' opacity='30' />

<layer resref='title_rect_r' layerid='title_rect_l' align='left-top' pos='0,0' combine='add' leapout='lead' opacity='50' />

<!--title area -->
<restext resid='title_t_r' fontref='wht_bold' size='400,100'  orientation='h-ttb-ltr' >
    <text>Color this froggy</text>
</restext>
<layer resref='title_t_r' layerid='title_t_l' align='left-top' pos='28,10' combine='add' leapout='lead' />

<!--RED Button -->
<file fileid='home_f' nature='dynamic' name='/home.php'/>


<restext resid='red_t_r' fontref='wht_reg' size='400,100'  orientation='h-ttb-ltr' >
    <text>Red</text>
</restext>

<setdata dataid='red_d'>
    <data key='color'>ff0000</data>
</setdata>
<file fileid='red_f' nature='dynamic' name='/home.php' dataref='red_d'/>

<button buttonid='btn_red' goto='slide' fileref='red_f'>
    <layer resref='red_rect_r' layerid='red_rect_l' align='left-top' pos='45,100' combine='clip' leapout='lead' visible='not-selected' />
    <layer resref='red_rect_r' layerid='red_rect_o_l' align='left-top' pos='45,100' combine='clip' leapout='lead' visible='selected' opacity='41' />
    <layer resref='red_t_r' layerid='red_t_l' align='left-top' pos='69,112' combine='clip' leapout='lead'  visible='always'/>
</button>

<!--GREEN Button -->
<restext resid='grn_t_r' fontref='wht_reg' size='400,100'  orientation='h-ttb-ltr' >
    <text>Green</text>
</restext>
<setdata dataid='grn_d'>
    <data key='color'>00ba00</data>
</setdata>
<file fileid='grn_f' nature='dynamic' name='/home.php' dataref='grn_d'/>
<button buttonid='btn_grn' goto='slide' fileref='grn_f'>
    <layer resref='grn_rect_r' layerid='grn_rect_l' align='left-top' pos='45,192' combine='clip' leapout='lead' visible='not-selected' />
    <layer resref='grn_rect_r' layerid='grn_rect_o_l' align='left-top' pos='45,192' combine='clip' leapout='lead' visible='selected' opacity='41'/>
    <layer resref='grn_t_r' layerid='grn_t_l' align='left-top' pos='69,204' combine='clip' leapout='lead' visible='always' />
</button>

<!--BLUE Button -->
<restext resid='blu_t_r' fontref='wht_reg' size='400,100'  orientation='h-ttb-ltr' >
    <text>Blue</text>
</restext>

<setdata dataid='blu_d'>
    <data key='color'>0000ff</data>
</setdata>
<file fileid='blu_f' nature='dynamic' name='/home.php' dataref='blu_d'/>
<button buttonid='btn_blu' goto='slide' fileref='blu_f'>
    <layer resref='blu_rect_r' layerid='blu_rect_l' align='left-top' pos='45,285' combine='clip' leapout='lead' visible='not-selected' />
    <layer resref='blu_rect_r' layerid='blu_rect_o_l' align='left-top' pos='45,285' combine='clip' leapout='lead' visible='selected' opacity='41'/>
    <layer resref='blu_t_r' layerid='blu_t_l' align='left-top' pos='69,297' combine='clip' leapout='lead' visible='always' />
</button>

<!--BLACK Button -->
<restext resid='bla_t_r' fontref='wht_reg' size='400,100'  orientation='h-ttb-ltr' >
    <text>Black</text>
</restext>

<setdata dataid='bla_d'>
    <data key='color'>000000</data>
</setdata>
<file fileid='bla_f' nature='dynamic' name='/home.php' dataref='bla_d'/>
<button buttonid='btn_bla' goto='slide' fileref='bla_f'>
    <layer resref='bla_rect_r' layerid='bla_rect_l' align='left-top' pos='45,377' combine='clip' leapout='lead' visible='not-selected' />
    <layer resref='bla_rect_r' layerid='bla_rect_o_l' align='left-top' pos='45,377' combine='clip' leapout='lead' visible='selected' opacity='41'/>
    <layer resref='bla_t_r' layerid='bla_t_l' align='left-top' pos='69,389' combine='clip' leapout='lead' visible='always' />
</button>



</frogans-fsdl>
